<?xml version="1.0" encoding="ISO-8859-1"?>

<customization>
	<cmz-config>

		<parse-action>write</parse-action>

		<protocol name="first upstart">
			<parse-mask>f</parse-mask>
			<cmz-mode>0xe2</cmz-mode>   <!-- CMZ_Mode_DDM | CMZ_Mode_All | CMZ_Mode_Settings | CMZ_Mode_FirstStartup -->
			<parse-file>/tpa/preset/default/restore/*.xml</parse-file>
			<use-old-cust>true</use-old-cust>	<!-- Should be removed when all restore files has been adapted -->
			<parse-file mode="mandatory">/tpa/preset/default/default.xml</parse-file>
			<cmz-mode>0xe1</cmz-mode>   <!-- CMZ_Mode_CMZ | CMZ_Mode_All | CMZ_Mode_Settings | CMZ_Mode_FirstStartup -->   
			<parse-file mode="mandatory">/tpa/preset/custom/customize.xml</parse-file>
		</protocol>

		<protocol name="recovery">  <!-- The last customization was interrupted, we must do some initialization to clean up -->
			<parse-mask>f</parse-mask>
			<cmz-mode>0xf2</cmz-mode>   <!-- CMZ_Mode_DDM | CMZ_Mode_All | CMZ_Mode_Settings | CMZ_Mode_FirstStartup | CMZ_Mode_Init -->
			<parse-file>/tpa/preset/default/restore/*.xml</parse-file>
			<use-old-cust>true</use-old-cust>
			<parse-file mode="mandatory">/tpa/preset/default/default.xml</parse-file>
			<cmz-mode>0xe1</cmz-mode>   <!-- CMZ_Mode_CMZ | CMZ_Mode_All | CMZ_Mode_Settings | CMZ_Mode_FirstStartup -->   
			<use-old-cust>true</use-old-cust>
			<parse-file mode="mandatory">/tpa/preset/custom/customize.xml</parse-file>
		</protocol>

		<protocol name="MR all">
			<parse-mask>a</parse-mask>
			<cmz-mode>0xd6</cmz-mode>   <!-- CMZ_Mode_All | CMZ_Mode_Settings | CMZ_Mode_MasterReset | CMZ_Mode_DDM | CMZ_Mode_Init -->
			<parse-file>/tpa/preset/default/restore/*.xml</parse-file>
			<use-old-cust>true</use-old-cust>
			<parse-file mode="mandatory">/tpa/preset/default/default.xml</parse-file>
			<cmz-mode>0xc5</cmz-mode>   <!-- CMZ_Mode_All | CMZ_Mode_Settings | CMZ_Mode_MasterReset | CMZ_Mode_CMZ -->
			<use-old-cust>true</use-old-cust>
			<parse-file mode="mandatory">/tpa/preset/custom/customize.xml</parse-file>
		</protocol>

		<protocol name="MR settings">
			<parse-mask>s</parse-mask>
			<cmz-mode>0x9a</cmz-mode>   <!-- CMZ_Mode_Settings | CMZ_Mode_ResetSettings | CMZ_Mode_DDM | CMZ_Mode_Init -->
			<parse-file>/tpa/preset/default/restore/*.xml</parse-file>
			<use-old-cust>true</use-old-cust>
			<parse-file mode="mandatory">/tpa/preset/default/default.xml</parse-file>
			<cmz-mode>0x89</cmz-mode>   <!-- CMZ_Mode_Settings | CMZ_Mode_ResetSettings | CMZ_Mode_CMZ -->
			<use-old-cust>true</use-old-cust>
			<parse-file mode="mandatory">/tpa/preset/custom/customize.xml</parse-file>
		</protocol>

		<protocol name="upgrade">
			<parse-mask>u</parse-mask>
			<cmz-mode>0x2e2</cmz-mode>  <!-- CMZ_Mode_DDM | CMZ_Mode_All | CMZ_Mode_Upgrade | CMZ_Mode_Settings | CMZ_Mode_FirstStartup -->
			<use-old-cust>true</use-old-cust>
			<parse-file>/tpa/preset/default/default_upgrade.xml</parse-file>
			<cmz-mode>0x2e1</cmz-mode>  <!-- CMZ_Mode_CMZ | CMZ_Mode_All | CMZ_Mode_Upgrade | CMZ_Mode_Settings | CMZ_Mode_FirstStartup -->
			<use-old-cust>true</use-old-cust>
			<parse-file>/tpa/preset/custom/customize_upgrade.xml</parse-file>
		</protocol>

		<protocol name="reset profiles">
			<parse-mask>p</parse-mask>
			<!-- Is the cmz-mode necessary? -->
			<cmz-mode>0x101</cmz-mode>  <!-- CMZ_Mode_CMZ | CMZ_Mode_CustomizeProfiles -->
			<parse-file>/tpa/preset/default/restore/ui-user-profiles-restore.xml</parse-file>
			<parse-file>/tpa/preset/custom/customize.xml</parse-file>
		</protocol>

	</cmz-config>
</customization>

